Bug 250988 - multimedia/libbluray: Update to 1.2.1
Summary: multimedia/libbluray: Update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://code.videolan.org/videolan/li...
Keywords: buildisok
Depends on: 250985 250986
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-09 16:46 UTC by Daniel Engberg
Modified: 2021-01-01 16:14 UTC (History)
2 users (show)

See Also:
pi: merge-quarterly-


Attachments
Patch for libbluray (6.03 KB, patch)
2020-11-09 16:46 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2020-11-09 16:46:54 UTC
Created attachment 219495 [details]
Patch for libbluray

Update libbluray to 1.2.1
Clean up Makefile
Import patch from openSUSE

Ref:
https://build.opensuse.org/package/view_file/multimedia:libs/libbluray/libbluray-java9.patch

Compile tested on FreeBSD 13.0-CURRENT r364979 (amd64) (make + make check-plist) (with and without Java)
Poudriere testport OK 12.2-RELEASE (amd64) (with and without Java)
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-10 10:39:22 UTC
^Triage: Bugfix release, merge to quarterly branch
Comment 2 Automation User 2020-11-10 15:45:46 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/214282035
Comment 3 Daniel Engberg 2020-11-12 12:49:23 UTC
250985 (multimedia/libaacs) and 250986 (multimedia/libbdplus) will break if this PR is committed beforehand because there's a Makefile include which refers to this port (Makefile.include).
Comment 4 Kurt Jaeger freebsd_committer 2021-01-01 16:14:05 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-01-01 16:14:58 UTC
A commit references this bug:

Author: pi
Date: Fri Jan  1 16:14:03 UTC 2021
New revision: 559843
URL: https://svnweb.freebsd.org/changeset/ports/559843

Log:
  multimedia/libbluray: update 1.1.1 -> 1.2.1

  - Clean up Makefile
  - Import patch from openSUSE

  PR:		250988
  Submitted by:	daniel.engberg.lists@pyret.net
  Relnotes:	https://code.videolan.org/videolan/libbluray/-/blob/master/ChangeLog

Changes:
  head/multimedia/libbluray/Makefile
  head/multimedia/libbluray/Makefile.include
  head/multimedia/libbluray/distinfo
  head/multimedia/libbluray/files/
  head/multimedia/libbluray/files/patch-src_libbluray_bdj_build.xml
  head/multimedia/libbluray/pkg-plist